package it.cnr.isti.epasmed.config;

import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.http.MediaType;
import org.springframework.web.client.RestTemplate;

@Configuration
public class EpasRestTemplateConfig {

	private final ApplicationProperties applicationProperties;

	public EpasRestTemplateConfig(ApplicationProperties applicationProperties) {
		super();
		this.applicationProperties = applicationProperties;
	}

	@Bean(name = "RestTemplateForFirstUser")
	@Primary
	public RestTemplate restTemplateFirst(RestTemplateBuilder builder) {
		return builder.defaultHeader("Accept", MediaType.APPLICATION_JSON.toString())
				.basicAuthentication(applicationProperties.getDatasourceEpasRest().getRestUsername1(),
						applicationProperties.getDatasourceEpasRest().getRestPassword1())
				.build();
	}

	@Bean(name = "RestTemplateForSecondUser")
	public RestTemplate restTemplateSecond(RestTemplateBuilder builder) {
		return builder.defaultHeader("Accept", MediaType.APPLICATION_JSON.toString())
				.basicAuthentication(applicationProperties.getDatasourceEpasRest().getRestUsername2(),
						applicationProperties.getDatasourceEpasRest().getRestPassword2())
				.build();
	}
	
	
	@Bean(name = "RestTemplateForThirdUser")
	public RestTemplate restTemplateThird(RestTemplateBuilder builder) {
		return builder.defaultHeader("Accept", MediaType.APPLICATION_JSON.toString())
				.basicAuthentication(applicationProperties.getDatasourceEpasRest().getRestUsername3(),
						applicationProperties.getDatasourceEpasRest().getRestPassword3())
				.build();
	}
}
