package it.cnr.isti.epasmed.domain;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

/**
 * Leaves
 */
@Entity
@Table(name = "leaves")
public class Leaves implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private Integer id;

	private Integer idPersona;

	@NotNull
	@Column(nullable = false)
	private String cf;

	private String codiceAssenzaDescrizione;

	@NotNull
	@Column(nullable = false)
	private LocalDate dataInizio;

	private LocalDate dataFine;

	@NotNull
	@Column(nullable = false)
	private LocalDateTime dataMod;

	private Integer codiceAssenzaCodice;

	private String codiceAssenzaCnr;

	private Integer durata;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getIdPersona() {
		return idPersona;
	}

	public void setIdPersona(Integer idPersona) {
		this.idPersona = idPersona;
	}

	public String getCf() {
		return cf;
	}

	public void setCf(String cf) {
		this.cf = cf;
	}

	public String getCodiceAssenzaDescrizione() {
		return codiceAssenzaDescrizione;
	}

	public void setCodiceAssenzaDescrizione(String codiceAssenzaDescrizione) {
		this.codiceAssenzaDescrizione = codiceAssenzaDescrizione;
	}

	public LocalDate getDataInizio() {
		return dataInizio;
	}

	public void setDataInizio(LocalDate dataInizio) {
		this.dataInizio = dataInizio;
	}

	public LocalDate getDataFine() {
		return dataFine;
	}

	public void setDataFine(LocalDate dataFine) {
		this.dataFine = dataFine;
	}

	public LocalDateTime getDataMod() {
		return dataMod;
	}

	public void setDataMod(LocalDateTime dataMod) {
		this.dataMod = dataMod;
	}

	public Integer getCodiceAssenzaCodice() {
		return codiceAssenzaCodice;
	}

	public void setCodiceAssenzaCodice(Integer codiceAssenzaCodice) {
		this.codiceAssenzaCodice = codiceAssenzaCodice;
	}

	public String getCodiceAssenzaCnr() {
		return codiceAssenzaCnr;
	}

	public void setCodiceAssenzaCnr(String codiceAssenzaCnr) {
		this.codiceAssenzaCnr = codiceAssenzaCnr;
	}

	public Integer getDurata() {
		return durata;
	}

	public void setDurata(Integer durata) {
		this.durata = durata;
	}

	@Override
	public String toString() {
		return "Leaves [id=" + id + ", idPersona=" + idPersona + ", cf=" + cf + ", codiceAssenzaDescrizione="
				+ codiceAssenzaDescrizione + ", dataInizio=" + dataInizio + ", dataFine=" + dataFine + ", dataMod="
				+ dataMod + ", codiceAssenzaCodice=" + codiceAssenzaCodice + ", codiceAssenzaCnr=" + codiceAssenzaCnr
				+ ", durata=" + durata + "]";
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (!(o instanceof Leaves)) {
			return false;
		}
		return id != null && id.equals(((Leaves) o).id);
	}

	public boolean same(Leaves l) {
		boolean same = false;

		if (id != null && id.compareTo(l.getId()) == 0) {
			if (cf != null && cf.compareTo(l.getCf()) == 0) {
				if (idPersona != null && idPersona.compareTo(l.getIdPersona()) == 0) {
					if (dataInizio != null && dataInizio.compareTo(l.getDataInizio()) == 0) {
						if (dataFine == null && l.getDataFine() == null) {
							if (codiceAssenzaCodice != null
									&& codiceAssenzaCodice.compareTo(l.getCodiceAssenzaCodice()) == 0) {
								return true;
							}
						} else {
							if (dataFine != null && dataFine.compareTo(l.getDataFine()) == 0) {
								if (codiceAssenzaCodice != null
										&& codiceAssenzaCodice.compareTo(l.getCodiceAssenzaCodice()) == 0) {
									return true;
								}
							}
						}
					}
				}
			}
		}

		return same;
	}

}
