package it.cnr.isti.epasmed.domain;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

/**
 * Leaves
 */
@Entity
@Table(name = "persorario")
public class PersOrario implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	private Integer id;

	private Integer idPersona;

	@NotNull
	@Column(nullable = false)
	private String cf;

	@NotNull
	@Column(nullable = false)
	private LocalDate dal;

	private LocalDate al;

	private String descrizione;

	private Integer lun;
	private Integer mar;
	private Integer mer;
	private Integer gio;
	private Integer ven;
	private Integer sab;

	private Integer percentuale;

	private String turno;
	private Integer oreTurno;
	private String festivo;
	private String notturno;

	@NotNull
	@Column(nullable = false)
	private LocalDateTime dataMod;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getIdPersona() {
		return idPersona;
	}

	public void setIdPersona(Integer idPersona) {
		this.idPersona = idPersona;
	}

	public String getCf() {
		return cf;
	}

	public void setCf(String cf) {
		this.cf = cf;
	}

	public LocalDate getDal() {
		return dal;
	}

	public void setDal(LocalDate dal) {
		this.dal = dal;
	}

	public LocalDate getAl() {
		return al;
	}

	public void setAl(LocalDate al) {
		this.al = al;
	}

	public String getDescrizione() {
		return descrizione;
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}

	public Integer getLun() {
		return lun;
	}

	public void setLun(Integer lun) {
		this.lun = lun;
	}

	public Integer getMar() {
		return mar;
	}

	public void setMar(Integer mar) {
		this.mar = mar;
	}

	public Integer getMer() {
		return mer;
	}

	public void setMer(Integer mer) {
		this.mer = mer;
	}

	public Integer getGio() {
		return gio;
	}

	public void setGio(Integer gio) {
		this.gio = gio;
	}

	public Integer getVen() {
		return ven;
	}

	public void setVen(Integer ven) {
		this.ven = ven;
	}

	public Integer getSab() {
		return sab;
	}

	public void setSab(Integer sab) {
		this.sab = sab;
	}

	public Integer getPercentuale() {
		return percentuale;
	}

	public void setPercentuale(Integer percentuale) {
		this.percentuale = percentuale;
	}

	public String getTurno() {
		return turno;
	}

	public void setTurno(String turno) {
		this.turno = turno;
	}

	public Integer getOreTurno() {
		return oreTurno;
	}

	public void setOreTurno(Integer oreTurno) {
		this.oreTurno = oreTurno;
	}

	public String getFestivo() {
		return festivo;
	}

	public void setFestivo(String festivo) {
		this.festivo = festivo;
	}

	public String getNotturno() {
		return notturno;
	}

	public void setNotturno(String notturno) {
		this.notturno = notturno;
	}

	public LocalDateTime getDataMod() {
		return dataMod;
	}

	public void setDataMod(LocalDateTime dataMod) {
		this.dataMod = dataMod;
	}

	@Override
	public String toString() {
		return "PersOrario [id=" + id + ", idPersona=" + idPersona + ", cf=" + cf + ", dal=" + dal + ", al=" + al
				+ ", descrizione=" + descrizione + ", lun=" + lun + ", mar=" + mar + ", mer=" + mer + ", gio=" + gio
				+ ", ven=" + ven + ", sab=" + sab + ", percentuale=" + percentuale + ", turno=" + turno + ", oreTurno="
				+ oreTurno + ", festivo=" + festivo + ", notturno=" + notturno + ", dataMod=" + dataMod + "]";
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (!(o instanceof PersOrario)) {
			return false;
		}
		return id != null && id.equals(((PersOrario) o).id);
	}

	public boolean same(PersOrario l) {
		boolean same = false;

		if (id != null && id.compareTo(l.getId()) == 0) {
			if (cf != null && cf.compareTo(l.getCf()) == 0) {
				if (idPersona != null && idPersona.compareTo(l.getIdPersona()) == 0) {
					if (dal != null && dal.compareTo(l.getDal()) == 0) {
						if (al == null && l.getAl() == null) {
							return sameOthersFields(l);
						} else {
							if (al != null && al.compareTo(l.getAl()) == 0) {
								return sameOthersFields(l);
							}
						}
					}
				}
			}
		}

		return same;
	}

	private boolean sameOthersFields(PersOrario l) {
		
		boolean someOthers = false;
		if (lun.compareTo(l.getLun()) == 0 && mar.compareTo(l.getMar()) == 0 && mer.compareTo(l.getMer()) == 0
				&& gio.compareTo(l.getGio()) == 0 && ven.compareTo(l.getVen()) == 0 && sab.compareTo(l.getSab()) == 0
				&& percentuale.compareTo(l.getPercentuale()) == 0) {
			if (turno != null && turno.compareTo(l.getTurno()) == 0) {
				if (oreTurno.compareTo(l.getOreTurno())==0) {
					if (festivo != null && festivo.compareTo(l.getFestivo()) == 0) {
						if (notturno != null && notturno.compareTo(l.getNotturno()) == 0) {
							return true;
						} else {
							if (notturno == null && l.getNotturno() == null) {
								return true;
							}
						}
					} else {
						if (festivo == null && l.getFestivo() == null) {
							if (notturno != null && notturno.compareTo(l.getNotturno()) == 0) {
								return true;
							} else {
								if (notturno == null && l.getNotturno() == null) {
									return true;
								}
							}
						}
					}
				}
			} else {
				if (turno == null && l.getTurno() == null) {
					if (oreTurno.compareTo(l.getOreTurno())==0) {
						if (festivo != null && festivo.compareTo(l.getFestivo()) == 0) {
							if (notturno != null && notturno.compareTo(l.getNotturno()) == 0) {
								return true;
							} else {
								if (notturno == null && l.getNotturno() == null) {
									return true;
								}
							}
						} else {
							if (festivo == null && l.getFestivo() == null) {
								if (notturno != null && notturno.compareTo(l.getNotturno()) == 0) {
									return true;
								} else {
									if (notturno == null && l.getNotturno() == null) {							
										return true;
									}
								}
							} 
						}
					}
				}
			}
		}
		return someOthers;
	}

}
