package it.cnr.isti.epasmed.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;



/**
 * A user.
 */
@Entity
@Table(name = "tabssi")
public class TabsSI implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tabssiSequenceGenerator")
	@SequenceGenerator(name = "tabssiSequenceGenerator", allocationSize = 1)
	private Long id;

	@NotNull
	@Column(unique = true, nullable = false)
	private String nome;

	@NotNull
	private String operazioni;

	@NotNull
	private Long idFlusso;

	@NotNull
	@Column(columnDefinition = "TIMESTAMP" )
	private LocalDateTime lastUpdate;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getOperazioni() {
		return operazioni;
	}

	public void setOperazioni(String operazioni) {
		this.operazioni = operazioni;
	}

	public Long getIdFlusso() {
		return idFlusso;
	}

	public void setIdFlusso(Long idFlusso) {
		this.idFlusso = idFlusso;
	}

	public LocalDateTime getLastUpdate() {
		return lastUpdate;
	}

	public void setLastUpdate(LocalDateTime lastUpdate) {
		this.lastUpdate = lastUpdate;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (!(o instanceof TabsSI)) {
			return false;
		}
		return id != null && id.equals(((TabsSI) o).id);
	}

	@Override
	public String toString() {
		return "TabsSI [id=" + id + ", nome=" + nome + ", operazioni=" + operazioni + ", idFlusso=" + idFlusso
				+ ", lastUpdate=" + lastUpdate + "]";
	}
	
}
