package it.cnr.isti.epasmed.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

/**
 * A user.
 */
@Entity
@Table(name = "timecardsreporting")
public class TimeCardsReporting implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "timecardsreportingSequenceGenerator")
	@SequenceGenerator(name = "timecardsreportingSequenceGenerator", allocationSize = 1)
	private Long id;

	@NotNull
	@Column(nullable = false)
	private Integer year;

	@NotNull
	private Integer month;

	@NotNull
	private Long idFlusso;

	@NotNull
	@Column(columnDefinition = "TIMESTAMP")
	private LocalDateTime lastUpdate;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public Integer getMonth() {
		return month;
	}

	public void setMonth(Integer month) {
		this.month = month;
	}

	public Long getIdFlusso() {
		return idFlusso;
	}

	public void setIdFlusso(Long idFlusso) {
		this.idFlusso = idFlusso;
	}

	public LocalDateTime getLastUpdate() {
		return lastUpdate;
	}

	public void setLastUpdate(LocalDateTime lastUpdate) {
		this.lastUpdate = lastUpdate;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (!(o instanceof TimeCardsReporting)) {
			return false;
		}
		return id != null && id.equals(((TimeCardsReporting) o).id);
	}

	@Override
	public String toString() {
		return "TimeCardsReporting [id=" + id + ", year=" + year + ", month=" + month + ", idFlusso=" + idFlusso
				+ ", lastUpdate=" + lastUpdate + "]";
	}

}
