package it.cnr.isti.epasmed.epas.client;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import it.cnr.isti.epasmed.config.ApplicationProperties;
import it.cnr.isti.epasmed.epas.model.EPASAbsenceTypes;

@Component
public class EPASAbsenceTypesClient {

	private final Logger log = LoggerFactory.getLogger(getClass());

	@Autowired
	@Qualifier("RestTemplateForSecondUser")
	RestTemplate rt;

	@Autowired
	ApplicationProperties appProps;

	public List<EPASAbsenceTypes> getAbsenceTypes() {
		Map<String, String> uriVariables = new HashMap<>();
		uriVariables.put("onlyActive", "true");
		uriVariables.put("used", "true");

		ResponseEntity<List<EPASAbsenceTypes>> responseEntity = rt.exchange(
				appProps.getDatasourceEpasRest().getRestUrl()
						+ "/v3/absenceTypes/list?onlyActive={onlyActive}&used={used}",
				HttpMethod.GET, null, new ParameterizedTypeReference<List<EPASAbsenceTypes>>() {
				}, uriVariables);
		List<EPASAbsenceTypes> listEPASAbsenceTypes = responseEntity.getBody();
		log.info("Retrieved EPASAbsenceTypes: {}", listEPASAbsenceTypes);
		return listEPASAbsenceTypes;
	}

}
