package it.cnr.isti.epasmed.epas.client;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import it.cnr.isti.epasmed.config.ApplicationProperties;
import it.cnr.isti.epasmed.epas.dto.EPASStampingsDTO;
import it.cnr.isti.epasmed.epas.model.EPASStampings;

@Component
public class EPASStampingsClient {

	private static final Logger logger = LoggerFactory.getLogger(EPASStampingsClient.class);

	@Autowired
	@Qualifier("RestTemplateForThirdUser")
	RestTemplate rt;

	@Autowired
	ApplicationProperties appProps;

	public EPASStampings getById(String id) {
		EPASStampings epasPersons = rt.getForObject(
				appProps.getDatasourceEpasRest().getRestUrl() + "/v3/stampings/show/{id}", EPASStampings.class, id);
		logger.info("Retrieved EPASStamping: {}", epasPersons);
		return epasPersons;
	}

	public EPASStampings create(EPASStampingsDTO epasStampingsDTO) {
		ResponseEntity<EPASStampings> response = rt.postForEntity(
				appProps.getDatasourceEpasRest().getRestUrl() + "/v3/stampings/create", epasStampingsDTO, EPASStampings.class);
		EPASStampings createdEPASPersons = response.getBody();

		logger.info("Created  EPASStamping: {}", createdEPASPersons);
		return createdEPASPersons;
	}


}
