package it.cnr.isti.epasmed.epas.mapper;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.dto.EPASAffiliationsDTO;
import it.cnr.isti.epasmed.epas.model.EPASAffiliations;

/**
 * Mapper for the entity {@link EPASAffiliations} and its DTO called
 * {@link EPASAffiliationsDTO}.
 *
 * Normal mappers are generated using MapStruct, this one is hand-coded as
 * MapStruct support is still in beta, and requires a manual step with an IDE.
 */
@Service
public class EPASAffiliationsMapper {

	public List<EPASAffiliationsDTO> epasAffiliationsToEPASAffiliationsDTOs(
			List<EPASAffiliations> epasAffiliationsList) {
		return epasAffiliationsList.stream().filter(Objects::nonNull).map(this::epasAffiliationsToEPASAffiliationsDTO)
				.collect(Collectors.toList());
	}

	public EPASAffiliationsDTO epasAffiliationsToEPASAffiliationsDTO(EPASAffiliations epasAffiliations) {
		if (epasAffiliations == null) {
			return null;
		} else {
			EPASAffiliationsDTO epasAffiliationsDTO = new EPASAffiliationsDTO();
			epasAffiliationsDTO.setId(epasAffiliations.getId());
			epasAffiliationsDTO.setExternalId(epasAffiliations.getExternalId());
			epasAffiliationsDTO.setBeginDate(epasAffiliations.getBeginDate());
			epasAffiliationsDTO.setEndDate(epasAffiliations.getEndDate());
			if (epasAffiliations.getGroup() != null) {
				epasAffiliationsDTO.setGroupId(epasAffiliations.getGroup().getId());
			}
			if (epasAffiliations.getPerson() != null) {
				epasAffiliationsDTO.setPersonId(epasAffiliations.getPerson().getId());
			}
			epasAffiliationsDTO.setPercentage(epasAffiliations.getPercentage());
			return epasAffiliationsDTO;
		}
	}
}
