package it.cnr.isti.epasmed.epas.mapper;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.dto.EPASChildrenDTO;
import it.cnr.isti.epasmed.epas.model.EPASChildren;

/**
 * Mapper for the entity {@link EPASChildren} and its DTO called
 * {@link EPASChildrenDTO}.
 *
 * Normal mappers are generated using MapStruct, this one is hand-coded as
 * MapStruct support is still in beta, and requires a manual step with an IDE.
 */
@Service
public class EPASChildrenMapper {

	public List<EPASChildrenDTO> epasChildrenToEPASChildrenDTOs(List<EPASChildren> epasChildrenList) {
		return epasChildrenList.stream().filter(Objects::nonNull).map(this::epasChildrenToEPASChildrenDTO)
				.collect(Collectors.toList());
	}

	public EPASChildrenDTO epasChildrenToEPASChildrenDTO(EPASChildren epasChildren) {
		if (epasChildren == null) {
			return null;
		} else {
			EPASChildrenDTO epasChildrenDTO = new EPASChildrenDTO();
			epasChildrenDTO.setName(epasChildren.getName());
			epasChildrenDTO.setSurname(epasChildren.getSurname());
			epasChildrenDTO.setFiscalCode(epasChildren.getFiscalCode());
			epasChildrenDTO.setBornDate(epasChildren.getBornDate());
			epasChildrenDTO.setExternalId(epasChildren.getExternalId());
			return epasChildrenDTO;
		}
	}
}
