package it.cnr.isti.epasmed.epas.mapper;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.dto.EPASContractsDTO;
import it.cnr.isti.epasmed.epas.model.EPASContracts;

/**
 * Mapper for the entity {@link EPASContracts} and its DTO called
 * {@link EPASContractsDTO}.
 *
 * Normal mappers are generated using MapStruct, this one is hand-coded as
 * MapStruct support is still in beta, and requires a manual step with an IDE.
 */
@Service
public class EPASContractsMapper {

	public List<EPASContractsDTO> epasContractsToEPASContractsDTOs(List<EPASContracts> epasContractsList) {
		return epasContractsList.stream().filter(Objects::nonNull).map(this::epasContractsToEPASContractsDTO)
				.collect(Collectors.toList());
	}

	public EPASContractsDTO epasContractsToEPASContractsDTO(EPASContracts epasContracts) {
		if (epasContracts == null) {
			return null;
		} else {
			EPASContractsDTO epasContractsDTO = new EPASContractsDTO();
			epasContractsDTO.setId(epasContracts.getId());
			epasContractsDTO.setExternalId(epasContracts.getExternalId());
			epasContractsDTO.setBeginDate(epasContracts.getBeginDate());
			epasContractsDTO.setEndDate(epasContracts.getEndDate());
			epasContractsDTO.setEndContract(epasContracts.getEndContract());
			epasContractsDTO.setOnCertificate(epasContracts.isOnCertificate());
			if (epasContracts.getPerson() != null) {
				epasContractsDTO.setPersonId(epasContracts.getPerson().getId());
			}
			return epasContractsDTO;
		}
	}
}
