package it.cnr.isti.epasmed.epas.mapper;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.dto.EPASGroupsDTO;
import it.cnr.isti.epasmed.epas.model.EPASGroups;

/**
 * Mapper for the entity {@link EPASGroups} and its DTO called
 * {@link EPASGroupsDTO}.
 *
 * Normal mappers are generated using MapStruct, this one is hand-coded as
 * MapStruct support is still in beta, and requires a manual step with an IDE.
 */
@Service
public class EPASGroupsMapper {

	public List<EPASGroupsDTO> epasGroupsToEPASGroupsDTOs(List<EPASGroups> epasGroupsList) {
		return epasGroupsList.stream().filter(Objects::nonNull).map(this::epasGroupsToEPASGroupsDTO)
				.collect(Collectors.toList());
	}

	public EPASGroupsDTO epasGroupsToEPASGroupsDTO(EPASGroups epasGroups) {
		if (epasGroups == null) {
			return null;
		} else {
			EPASGroupsDTO epasGroupsDTO = new EPASGroupsDTO();
			epasGroupsDTO.setId(epasGroups.getId());
			epasGroupsDTO.setName(epasGroups.getName());
			epasGroupsDTO.setDescription(epasGroups.getDescription());
			epasGroupsDTO.setEndDate(epasGroups.getEndDate());
			epasGroupsDTO.setExternalId(epasGroups.getExternalId());
			if (epasGroups.getManager() != null) {
				epasGroupsDTO.setManagerId(epasGroups.getManager().getId());
			}
			if (epasGroups.getOffice() != null) {
				epasGroupsDTO.setOfficeId(epasGroups.getOffice().getId());
			}
			
			return epasGroupsDTO;
		}
	}
}
