package it.cnr.isti.epasmed.epas.mapper;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.dto.EPASPersonsDTO;
import it.cnr.isti.epasmed.epas.model.EPASPersons;

/**
 * Mapper for the entity {@link EPASPersons} and its DTO called
 * {@link EPASPersonsDTO}.
 *
 * Normal mappers are generated using MapStruct, this one is hand-coded as
 * MapStruct support is still in beta, and requires a manual step with an IDE.
 */
@Service
public class EPASPersonsMapper {

	public List<EPASPersonsDTO> epasPersonsToEPASPersonsDTOs(List<EPASPersons> epasPersonsList) {
		return epasPersonsList.stream().filter(Objects::nonNull).map(this::epasPersonsToEPASPersonsDTO)
				.collect(Collectors.toList());
	}

	public EPASPersonsDTO epasPersonsToEPASPersonsDTO(EPASPersons epasPersons) {
		if (epasPersons == null) {
			return null;
		} else {
			EPASPersonsDTO epasPersonsDTO = new EPASPersonsDTO();
			epasPersonsDTO.setId(epasPersons.getId());
			epasPersonsDTO.setName(epasPersons.getName());
			epasPersonsDTO.setSurname(epasPersons.getSurname());
			epasPersonsDTO.setOthersSurnames(epasPersons.getOthersSurnames());
			epasPersonsDTO.setTelephone(epasPersons.getTelephone());
			epasPersonsDTO.setFax(epasPersons.getFax());
			epasPersonsDTO.setQualification(epasPersons.getQualification());
			epasPersonsDTO.setBadges(epasPersons.getBadges());
			if (epasPersons.getOffice() != null) {
				epasPersonsDTO.setOfficeId(epasPersons.getOffice().getId());
			}
			epasPersonsDTO.setFullname(epasPersons.getFullname());
			epasPersonsDTO.setFiscalCode(epasPersons.getFiscalCode());
			epasPersonsDTO.setEmail(epasPersons.getEmail());
			epasPersonsDTO.setNumber(epasPersons.getNumber());
			epasPersonsDTO.setEppn(epasPersons.getEppn());
			return epasPersonsDTO;
		}
	}
}
