package it.cnr.isti.epasmed.epas.service;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.function.Function;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASAbsenceTypesClient;
import it.cnr.isti.epasmed.epas.model.EPASAbsenceTypes;

@Service
public class EPASAbsenceTypesService {

	@Autowired
	EPASAbsenceTypesClient epasAbsenceTypesClient;

	public List<EPASAbsenceTypes> getAbsenceTypes() {
		return epasAbsenceTypesClient.getAbsenceTypes();
	}

	public LinkedHashMap<String,String> getAbsenceTypesMap() {
		
		List<EPASAbsenceTypes> epasAbsenceTypeList=epasAbsenceTypesClient.getAbsenceTypes();
		LinkedHashMap<String,String> epasAbsenceTypeMap=new LinkedHashMap<>();
		if(epasAbsenceTypeList!=null && !epasAbsenceTypeList.isEmpty()) {
			epasAbsenceTypeMap=epasAbsenceTypeList.stream().collect(
	                Collectors.toMap(EPASAbsenceTypes::getCode, EPASAbsenceTypes::getDescription,
	                		(oldValue, newValue) -> newValue, LinkedHashMap::new));
		}
		return epasAbsenceTypeMap;
	}
	
	public LinkedHashMap<String,EPASAbsenceTypes> getAbsenceTypesMapFull() {
		
		List<EPASAbsenceTypes> epasAbsenceTypeList=epasAbsenceTypesClient.getAbsenceTypes();
		LinkedHashMap<String,EPASAbsenceTypes> epasAbsenceTypeMap=new LinkedHashMap<>();
		if(epasAbsenceTypeList!=null && !epasAbsenceTypeList.isEmpty()) {
			epasAbsenceTypeMap=epasAbsenceTypeList.stream().collect(
	                Collectors.toMap(EPASAbsenceTypes::getCode, Function.identity(),
	                		(oldValue, newValue) -> newValue, LinkedHashMap::new));
		}
		return epasAbsenceTypeMap;
	}
	
}
