package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASAffiliationsClient;
import it.cnr.isti.epasmed.epas.dto.EPASAffiliationsDTO;
import it.cnr.isti.epasmed.epas.model.EPASAffiliations;

@Service
public class EPASAffiliationsService {
	
	@Autowired
	EPASAffiliationsClient epasAffiliationsClient;

	public EPASAffiliations getById(String id) {
		return epasAffiliationsClient.getById(id);
	}

	public List<EPASAffiliations> getByGroup(String groupId, boolean includeInactive ) {
		return epasAffiliationsClient.getByGroup(groupId,includeInactive);
	}

	public List<EPASAffiliations> getByPersonId(String personId) {
		return epasAffiliationsClient.getByPersonId(personId);
	}

	public List<EPASAffiliations> getByPersonFiscalcode(String fc) {
		return epasAffiliationsClient.getByPersonFiscalcode(fc);
	}
	
	public EPASAffiliations create(EPASAffiliationsDTO epasAffiliationsDTO) {
		return epasAffiliationsClient.create(epasAffiliationsDTO);
	}
	
	public void updateById(String id, @Valid EPASAffiliationsDTO epasAffiliationsDTO) {
		epasAffiliationsClient.updateById(id,epasAffiliationsDTO);
	}
	
	public void deleteById(String id) {
		epasAffiliationsClient.deleteById(id);
	}
	
}
