package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASCertificationsClient;
import it.cnr.isti.epasmed.epas.model.EPASCertifications;

@Service
public class EPASCertificationsService {
	
	@Autowired
	EPASCertificationsClient epasCertificationsClient;

	public EPASCertifications getCertificationsByPersonId(String id, String year, String month) {
		return epasCertificationsClient.getByPersonId(id, year, month);
	}
	
	public EPASCertifications getCertificationsByPersonFiscalCode(String fc, String year, String month) {
		return epasCertificationsClient.getByPersonFiscalCode(fc, year, month);
	}
	
	public EPASCertifications getCertificationsByPersonEmail(String email, String year, String month) {
		return epasCertificationsClient.getByPersonEmail(email, year, month);
	}

	public List<EPASCertifications> getCertificationsByOfficeCodeId(String id, String year, String month) {
		return epasCertificationsClient.getByOfficeCodeId(id, year, month);
	}
	
	
}
