package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASChildrenClient;
import it.cnr.isti.epasmed.epas.dto.EPASChildrenDTO;
import it.cnr.isti.epasmed.epas.model.EPASChildren;

@Service
public class EPASChildrenService {

	@Autowired
	EPASChildrenClient epasChildrenClient;

	public EPASChildren getById(String id) {
		return epasChildrenClient.getById(id);
	}
	
	public List<EPASChildren> getByPersonId(String id) {
		return epasChildrenClient.getByPersonId(id);
	}

	public List<EPASChildren> getByPersonFiscalCode(String fc) {
		return epasChildrenClient.getByPersonFiscalCode(fc);
	}

	public List<EPASChildren> getByPersonEmail(String email) {
		return epasChildrenClient.getByPersonEmail(email);
	}

	public EPASChildren create(EPASChildrenDTO epasChildrenDTO) {
		return epasChildrenClient.create(epasChildrenDTO);
	}

	public void updateById(String id, @Valid EPASChildrenDTO epasChildrenDTO) {
		epasChildrenClient.updateById(id, epasChildrenDTO);
	}

	public void deleteById(String id) {
		epasChildrenClient.deleteById(id);
	}

	

}
