package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASGroupsClient;
import it.cnr.isti.epasmed.epas.dto.EPASGroupsDTO;
import it.cnr.isti.epasmed.epas.model.EPASGroups;

@Service
public class EPASGroupsService {
	
	@Autowired
	EPASGroupsClient epasGroupsClient;

	public EPASGroups getById(String id) {
		return epasGroupsClient.getById(id);
	}

	public List<EPASGroups> getList(String officeId) {
		return epasGroupsClient.getList(officeId);
	}

	public EPASGroups create(EPASGroupsDTO epasGroupsDTO) {
		return epasGroupsClient.create(epasGroupsDTO);
	}
	
	public void updateById(String id, @Valid EPASGroupsDTO epasGroupsDTO) {
		epasGroupsClient.updateById(id,epasGroupsDTO);
	}
	
	public void deleteById(String id) {
		epasGroupsClient.deleteById(id);
	}
	
}
