package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASLeavesClient;
import it.cnr.isti.epasmed.epas.model.EPASLeaves;

@Service
public class EPASLeavesService {

	@Autowired
	EPASLeavesClient epasLeavesClient;

	public List<EPASLeaves> getLeavesByPersonId(String id, String year, String includeDetails) {
		return epasLeavesClient.getByPersonId(id, year, includeDetails);
	}

	public List<EPASLeaves> getLeavesByPersonFiscalcode(String fc, String year, String includeDetails) {
		return epasLeavesClient.getByFiscalcode(fc, year, includeDetails);
	}

	public List<EPASLeaves> getLeavesByPersonEmail(String email, String year, String includeDetails) {
		return epasLeavesClient.getByPersonEmail(email, year, includeDetails);
	}

	public List<EPASLeaves> getLeavesByOfficeId(String officeId, String year, String includeDetails) {
		return epasLeavesClient.getByOfficeId(officeId, year, includeDetails);
	}

}
