package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASPersonsClient;
import it.cnr.isti.epasmed.epas.dto.EPASPersonsDTO;
import it.cnr.isti.epasmed.epas.model.EPASPersons;

@Service
public class EPASPersonsService {
	
	@Autowired
	EPASPersonsClient epasPersonsClient;

	public EPASPersons getById(String id) {
		return epasPersonsClient.getById(id);
	}
	
	public EPASPersons getByFiscalCode(String fc) {
		return epasPersonsClient.getByFiscalCode(fc);
	}
	
	public List<EPASPersons> getList(String officeId) {
		return epasPersonsClient.getList(officeId);
	}

	public EPASPersons create(EPASPersonsDTO epasPersonsDTO) {
		return epasPersonsClient.create(epasPersonsDTO);
	}
	
	public void updateById(String id, @Valid EPASPersonsDTO epasPersonsDTO) {
		epasPersonsClient.updateById(id,epasPersonsDTO);
	}

	public void updateByFiscalCode(String fc, EPASPersonsDTO epasPersonsDTO) {
		epasPersonsClient.updateByFiscalCode(fc,epasPersonsDTO);
	}

	public void deleteById(String id) {
		epasPersonsClient.deleteById(id);
	}

	public void deleteByFiscalCode(String fc) {
		epasPersonsClient.deleteByFiscalCode(fc);
		
	}

	
}
