package it.cnr.isti.epasmed.epas.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.epas.client.EPASTimeCardsClient;
import it.cnr.isti.epasmed.epas.model.EPASTimeCards;

@Service
public class EPASTimeCardsService {
	
	@Autowired
	EPASTimeCardsClient epasTimeCardsClient;

	public EPASTimeCards getTimeCardByPersonId(String id, String year, String month) {
		return epasTimeCardsClient.getByPersonId(id, year, month);
	}
	
	public EPASTimeCards getTimeCardByPersonFiscalCode(String fc, String year, String month) {
		return epasTimeCardsClient.getByPersonFiscalCode(fc, year, month);
	}
	
	public EPASTimeCards getTimeCardByPersonEmail(String email, String year, String month) {
		return epasTimeCardsClient.getByPersonEmail(email, year, month);
	}
	
	public List<EPASTimeCards> getTimeCardByOfficeCodeId(String id, String year, String month) {
		return epasTimeCardsClient.getByOfficeCodeId(id, year, month);
	}
	
}
