package it.cnr.isti.epasmed.repository;

import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.domain.TimeCardsReporting;
import it.cnr.isti.epasmed.domain.User;

/**
 * Spring Data JPA repository for the {@link User} entity.
 */
@Repository
public interface TimeCardsReportingRepository extends JpaRepository<TimeCardsReporting, Long> {

    Optional<TimeCardsReporting> findOneByYearAndMonth(Integer year, Integer month);

    Optional<TimeCardsReporting> findFirstByOrderByIdDesc();
 }
