package it.cnr.isti.epasmed.service.mapper;

import java.text.SimpleDateFormat;
import java.time.LocalDate;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.domain.Leaves;
import it.cnr.isti.epasmed.sistemainformativo.model.SIAspettative;

@Service
public class LeavesMapper {

	private final SimpleDateFormat sdfDate = new SimpleDateFormat("yyyy-MM-dd");

	public Leaves siAspettativeToLeaves(SIAspettative siAspettative) {
		if (siAspettative == null) {
			return null;
		} else {
			Leaves leave = new Leaves();
			leave.setId(siAspettative.getId());
			leave.setIdPersona(siAspettative.getIdpersona());
			leave.setCf(siAspettative.getCf());
			leave.setCodiceAssenzaDescrizione(siAspettative.getCodice_assenza_descrizione());
			LocalDate dataInizio = null;
			if (siAspettative.getData_inizio() != null) {
				dataInizio = LocalDate.parse(sdfDate.format(siAspettative.getData_inizio()));
			}
			LocalDate dataFine = null;
			if (siAspettative.getData_fine() != null) {
				dataFine = LocalDate.parse(sdfDate.format(siAspettative.getData_fine()));
			}

			leave.setDataInizio(dataInizio);
			leave.setDataFine(dataFine);
			leave.setCodiceAssenzaCodice(siAspettative.getCodice_assenza_codice());
			leave.setCodiceAssenzaCnr(siAspettative.getCodice_assenza_cnr());
			leave.setDurata(siAspettative.getDurata());
			leave.setDataMod(siAspettative.getData_mod().toLocalDateTime());
			return leave;
		}
	}
}
