package it.cnr.isti.epasmed.service.mapper;

import java.text.SimpleDateFormat;
import java.time.LocalDate;

import org.springframework.stereotype.Service;

import it.cnr.isti.epasmed.domain.PersOrario;
import it.cnr.isti.epasmed.sistemainformativo.model.SIPersOrario;

@Service
public class PersOrarioMapper {

	private final SimpleDateFormat sdfDate = new SimpleDateFormat("yyyy-MM-dd");

	public PersOrario siPersOrarioToPersOrario(SIPersOrario siPersOrario) {
		if (siPersOrario == null) {
			return null;
		} else {
			PersOrario persOrario = new PersOrario();
			persOrario.setId(siPersOrario.getId());
			persOrario.setIdPersona(siPersOrario.getIdpersona());
			persOrario.setCf(siPersOrario.getCf());
			LocalDate dataInizio = null;
			if (siPersOrario.getDal() != null) {
				dataInizio = LocalDate.parse(sdfDate.format(siPersOrario.getDal()));
			}
			LocalDate dataFine = null;
			if (siPersOrario.getAl() != null) {
				dataFine = LocalDate.parse(sdfDate.format(siPersOrario.getAl()));
			}

			persOrario.setDal(dataInizio);
			persOrario.setAl(dataFine);
			persOrario.setDescrizione(siPersOrario.getDescrizione());
			persOrario.setLun(siPersOrario.getLun());
			persOrario.setMar(siPersOrario.getMar());
			persOrario.setMer(siPersOrario.getMer());
			persOrario.setGio(siPersOrario.getGio());
			persOrario.setVen(siPersOrario.getVen());
			persOrario.setSab(siPersOrario.getSab());
			persOrario.setPercentuale(siPersOrario.getPercentuale());
			persOrario.setTurno(siPersOrario.getTurno());
			persOrario.setOreTurno(siPersOrario.getOre_turno());
			persOrario.setFestivo(siPersOrario.getFestivo());
			persOrario.setNotturno(siPersOrario.getNotturno());
			persOrario.setDataMod(siPersOrario.getData_mod().toLocalDateTime());
			return persOrario;
		}
	}
}
