package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIAspettative;

@Repository
public class SIAspettativeRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIAspettativeRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIAspettativeRepository(
			final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SIAspettative siAspettative) {
		jdbcTemplate.update(
				"INSERT INTO epas_aspettative (cf,codice_assenza_descrizione,"
				+ "data_inizio,data_fine,data_mod,flag_del,id_flusso,"
				+ "id,idpersona,"
				+ "codice_assenza_codice,codice_assenza_cnr,durata)"
						+ " VALUES (?,?,?,?,?,?,?,?,?,?,?,?)",
				siAspettative.getCf(), siAspettative.getCodice_assenza_descrizione(),
				siAspettative.getData_inizio(), siAspettative.getData_fine(), 
				siAspettative.getData_mod(),siAspettative.getFlag_del(), fluxId,
				siAspettative.getId(), siAspettative.getIdpersona(),
				siAspettative.getCodice_assenza_codice(), siAspettative.getCodice_assenza_cnr(),
				siAspettative.getDurata());
		logger.debug("Writed SIAspettative: {}", siAspettative);
	}

}
