package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SICartelliniRendicontazioni;

@Repository
public class SICartelliniRendicontazioniRepository {

	private static final Logger logger = LoggerFactory.getLogger(SICartelliniRendicontazioniRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SICartelliniRendicontazioniRepository(
			final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SICartelliniRendicontazioni siCartelliniRendicontazioni) {
		jdbcTemplate.update(
				"INSERT INTO epas_cartellini_rendicontazioni (id,anno,mese,data_mod,flag_del,id_flusso) "
						+ "VALUES (?,?,?,?,?,?)",
				siCartelliniRendicontazioni.getId(), siCartelliniRendicontazioni.getAnno(),
				siCartelliniRendicontazioni.getMese(), siCartelliniRendicontazioni.getData_mod(),
				siCartelliniRendicontazioni.getFlag_del(), fluxId);
		logger.debug("Writed SICartellinoRendicontazioni: {}", siCartelliniRendicontazioni);
	}

}
