package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SICartellini;

@Repository
public class SICartelliniRepository {

	private static final Logger logger = LoggerFactory.getLogger(SICartelliniRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SICartelliniRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SICartellini siCartellini) {
		jdbcTemplate.update("INSERT INTO epas_cartellini (id,idpersona,cf,data,"
				+ " motivo,ore_lavorate,differenza,data_mod,flag_del,id_flusso) "
				+ "VALUES (?,?,?,?,?,?,?,?,?,?)", 
				siCartellini.getId(),siCartellini.getIdpersona(),siCartellini.getCf(),siCartellini.getData(),
				siCartellini.getMotivo(),siCartellini.getOre_lavorate(),siCartellini.getDifferenza(),
				siCartellini.getData_mod(),siCartellini.getFlag_del(),fluxId);
		logger.debug("Writed SICartellino: {}",siCartellini);				
	}

	

}
