package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIEmail;

@Repository
public class SIEmailRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIEmailRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIEmailRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SIEmail> readNewFlux(Long flusso) {
		String query="select cf, email, tipoemail, data_mod, flag_del, id_flusso, id, idpersona "
				+ " from mail "
				+ " WHERE id_flusso > "
				+ flusso + " order by cf, id_flusso, data_mod";
		
		List<SIEmail> emails= jdbcTemplate.query(query, new RowMapper<SIEmail>() {
			@Override
			public SIEmail mapRow(ResultSet rs, int rowNum) throws SQLException {
				SIEmail m = new SIEmail();
				m.setCf(rs.getString(1));
				m.setEmail(rs.getString(2));
				m.setTipo(rs.getString(3));
				m.setData_mod(rs.getTimestamp(4));
				m.setFlag_del(rs.getString(5));
				m.setId_flusso(rs.getLong(6));
				m.setId(rs.getInt(7));
				m.setIdpersona(rs.getInt(8));
	
				return m;
			}});	
		logger.debug("Emaills: {}",emails);
		return emails;
				
	}

	

}
