package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIGruppiPers;

@Repository
public class SIGruppiPersRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIGruppiPersRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIGruppiPersRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SIGruppiPers> readNewFlux(Long flusso) {
		String query="select cf, gruppo, dal, al, percentuale, data_mod, flag_del, id_flusso, id, idpersona, idgruppo "
				+ " from gruppo_pers "
				+ " WHERE id_flusso > "
				+ flusso
				+ " order by cf, gruppo, dal, al, id_flusso, data_mod";
		
		List<SIGruppiPers> gruppi= jdbcTemplate.query(query, new RowMapper<SIGruppiPers>() {
			@Override
			public SIGruppiPers mapRow(ResultSet rs, int rowNum) throws SQLException {
				SIGruppiPers gp = new SIGruppiPers();
				gp.setCf(rs.getString(1));
				gp.setGruppo(rs.getString(2));
				gp.setDal(rs.getDate(3));
				gp.setAl(rs.getDate(4));
				gp.setPercentuale(rs.getInt(5));
				gp.setData_mod(rs.getTimestamp(6));
				gp.setFlag_del(rs.getString(7));
				gp.setId_flusso(rs.getLong(8));
				gp.setId(rs.getInt(9));
				gp.setIdpersona(rs.getInt(10));
				gp.setIdgruppo(rs.getInt(11));

				return gp;
			}});	
		logger.debug("Gruppi: {}",gruppi);
		return gruppi;
				
	}

	

}
