package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIGruppi;

@Repository
public class SIGruppiRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIGruppiPersRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIGruppiRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SIGruppi> readNewFlux(Long flusso) {
		String query="select sigla, descrizione, data_mod, flag_del, id_flusso, id "
				+ " from gruppi "
				+ " WHERE id_flusso > "
				+ flusso
				+ " order by sigla, id_flusso, data_mod";
		
		List<SIGruppi> gruppi= jdbcTemplate.query(query, new RowMapper<SIGruppi>() {
			@Override
			public SIGruppi mapRow(ResultSet rs, int rowNum) throws SQLException {
				SIGruppi g = new SIGruppi();
				g.setSigla(rs.getString(1));
				g.setDescrizione(rs.getString(2));
				g.setData_mod(rs.getTimestamp(3));
				g.setFlag_del(rs.getString(4));
				g.setId_flusso(rs.getLong(5));
				g.setId(rs.getInt(6));	
				return g;
			}});	
		logger.debug("Gruppi: {}",gruppi);
		return gruppi;
				
	}

	

}
