package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SILavoroFuoriSede;

@Repository
public class SILavoroFuoriSedeRepository {

	private static final Logger logger = LoggerFactory.getLogger(SILavoroFuoriSedeRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SILavoroFuoriSedeRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SILavoroFuoriSede siLavoroFuoriSede) {
		jdbcTemplate.update("INSERT INTO epas_lavoro_fuori_sede (id,idpersona,cf,"
				+ "giorno,luogo,motivo,way,data_mod,flag_del,id_flusso) "
				+ "VALUES (?,?,?,?,?,?,?,?,?,?)", 
				siLavoroFuoriSede.getId(),siLavoroFuoriSede.getIdpersona(),siLavoroFuoriSede.getCf(),
				siLavoroFuoriSede.getGiorno(),siLavoroFuoriSede.getLuogo(),siLavoroFuoriSede.getMotivo(),
				siLavoroFuoriSede.getWay(),siLavoroFuoriSede.getData_mod(),siLavoroFuoriSede.getFlag_del(),fluxId);
		logger.debug("Writed SILavoroFuoriSede: {}",siLavoroFuoriSede);				
	}

	

}
