package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIOrario;

@Repository
public class SIOrarioRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIOrarioRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIOrarioRepository(
			final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SIOrario siOrario) {
		jdbcTemplate.update(
				"INSERT INTO epas_orario (id,descrizione,orizontale,disabilitato,data_mod,flag_del,id_flusso)"
						+ " VALUES (?,?,?,?,?,?,?)",
				siOrario.getId(), siOrario.getDescrizione(),
				siOrario.getOrizontale(), siOrario.getDisabled(), siOrario.getData_mod(),
				siOrario.getFlag_del(), fluxId);
		logger.debug("Writed SIOrario: {}", siOrario);
	}

}
