package it.cnr.isti.epasmed.sistemainformativo.repository;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIPersOrario;

@Repository
public class SIPersOrarioRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIPersOrarioRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIPersOrarioRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public void writeNewFlux(Long fluxId, SIPersOrario siPersOrario) {
		jdbcTemplate.update(
				"INSERT INTO epas_pers_orario (id,idpersona,cf,dal,al,descrizione,"
						+ "lun,mar,mer,gio,ven,sab,percentuale,turno,ore_turno,festivo,notturno,"
						+ "data_mod,flag_del,id_flusso)" + " VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
				siPersOrario.getId(), siPersOrario.getIdpersona(), siPersOrario.getCf(), siPersOrario.getDal(),
				siPersOrario.getAl(), siPersOrario.getDescrizione(), siPersOrario.getLun(), siPersOrario.getMar(),
				siPersOrario.getMer(), siPersOrario.getGio(), siPersOrario.getVen(), siPersOrario.getSab(),
				siPersOrario.getPercentuale(), siPersOrario.getTurno(), siPersOrario.getOre_turno(),
				siPersOrario.getFestivo(), siPersOrario.getNotturno(), siPersOrario.getData_mod(),
				siPersOrario.getFlag_del(), fluxId);
		logger.debug("Writed SIPersOrario: {}", siPersOrario);
	}

}
