package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIPosizioni;

@Repository
public class SIPosizioniRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIPosizioniRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIPosizioniRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SIPosizioni> readNewFlux(Long flusso) {
		String query="select cf, dal, al, matricola, profilo, subprofilo, livello, tipocontratto, "
				+ " motivofinerapportoti, fasciaimportoassegno, data_mod, flag_del,id_flusso, finerapportoti, idpersona, id "
				+ " from posizioni "
				+ " where tipocontratto='Dipendente' and id_flusso > "
				+ flusso
				+ " order by id_flusso, data_mod, id, cf, dal, al";
		
		List<SIPosizioni> posizioni= jdbcTemplate.query(query, new RowMapper<SIPosizioni>() {
			@Override
			public SIPosizioni mapRow(ResultSet rs, int rowNum) throws SQLException {
				SIPosizioni pos = new SIPosizioni();
				pos.setCf(rs.getString(1));
				pos.setDal(rs.getDate(2));
				pos.setAl(rs.getDate(3));
				pos.setMatricola(rs.getInt(4));
				pos.setProfilo(rs.getString(5));
				pos.setSubprofilo(rs.getString(6));
				pos.setLivello(rs.getInt(7));
				pos.setTipocontratto(rs.getString(8));
				pos.setMotivofinerapportoti(rs.getString(9));
				pos.setFasciaimportoassegno(rs.getInt(10));
				pos.setData_mod(rs.getTimestamp(11));
				pos.setFlag_del(rs.getString(12));
				pos.setId_flusso(rs.getLong(13));
				pos.setFinerapportoti(rs.getInt(14));
				pos.setIdpersona(rs.getInt(15));
				pos.setId(rs.getInt(16));
	
				return pos;
			}});	
		logger.debug("Posizioni: {}",posizioni);
		return posizioni;
				
	}

	

}
