package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SIProroghe;

@Repository
public class SIProrogheRepository {

	private static final Logger logger = LoggerFactory.getLogger(SIProrogheRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SIProrogheRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SIProroghe> readNewFlux(Long flusso) {
		String query="select cf,posizione_dal, proroga_al, data_mod,flag_del,id_flusso, "
				+ " posizione_al, proroga_dal, id, idposizione"
				+ " from proroghe "
				+ " where id_flusso > "
				+ flusso
				+ " order by id_flusso, data_mod, id, cf, posizione_dal, posizione_al, proroga_dal, proroga_al";
		
		List<SIProroghe> proroghe= jdbcTemplate.query(query, new RowMapper<SIProroghe>() {
			@Override
			public SIProroghe mapRow(ResultSet rs, int rowNum) throws SQLException {
				SIProroghe pro = new SIProroghe();
				pro.setCf(rs.getString(1));
				pro.setPosizione_dal(rs.getDate(2));
				pro.setProroga_al(rs.getDate(3));
				pro.setData_mod(rs.getTimestamp(4));
				pro.setFlag_del(rs.getString(5));
				pro.setId_flusso(rs.getLong(6));
				pro.setPosizione_al(rs.getDate(7));
				pro.setProroga_dal(rs.getDate(8));
				pro.setId(rs.getInt(9));
				pro.setIdposizione(rs.getInt(10));
	
				return pro;
			}});	
		logger.debug("Proroghe: {}",proroghe);
		return proroghe;
				
	}

	

}
