package it.cnr.isti.epasmed.sistemainformativo.repository;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import it.cnr.isti.epasmed.sistemainformativo.model.SITelefoni;

@Repository
public class SITelefoniRepository {

	private static final Logger logger = LoggerFactory.getLogger(SITelefoniRepository.class);

	private JdbcTemplate jdbcTemplate;

	//
	public SITelefoniRepository(final @Qualifier("sistemaInformativoDataSource") DataSource dataSource) {
		super();
		this.jdbcTemplate = new JdbcTemplate(dataSource);
	}

	public List<SITelefoni> readNewFlux(Long flusso) {
		String query="select cf, tiporecapitotelefonico, recapitotelefonico, data_mod, flag_del, id_flusso, id, idpersona "
				+ " from telefoni "
				+ " WHERE id_flusso > "
				+ flusso + " order by cf, id_flusso, data_mod";
		
		List<SITelefoni> telefoni= jdbcTemplate.query(query, new RowMapper<SITelefoni>() {
			@Override
			public SITelefoni mapRow(ResultSet rs, int rowNum) throws SQLException {
				SITelefoni t = new SITelefoni();
				t.setCf(rs.getString(1));
				t.setTiporecapitotelefonico(rs.getString(2));
				t.setRecapitotelefonico(rs.getString(3));
				t.setData_mod(rs.getTimestamp(4));
				t.setFlag_del(rs.getString(5));
				t.setId_flusso(rs.getLong(6));
				t.setId(rs.getInt(7));
				t.setIdpersona(rs.getInt(8));
	
				return t;
			}});	
		logger.debug("Telefoni: {}",telefoni);
		return telefoni;
				
	}

	

}
