package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIAnagrafico;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIAnagraficoRepository;



/**
 * Service class for managing Anagrafico.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIAnagraficoService {

	private static final Logger logger = LoggerFactory.getLogger(SIAnagraficoService.class);

	private final SIAnagraficoRepository anagraficoRepository;

	public SIAnagraficoService(SIAnagraficoRepository anagraficoRepository) {
		super();
		this.anagraficoRepository = anagraficoRepository;
	}

	public List<SIAnagrafico> readNewFlux(Long fluxId) {
		logger.debug("Request SIAnagrafico Flux > {}",fluxId);
		return anagraficoRepository.readNewFlux(fluxId);
	}
	

}