package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIAspettative;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIAspettativeRepository;



/**
 * Service class for managing Aspettative.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIAspettativeService {

	private static final Logger logger = LoggerFactory.getLogger(SIAspettativeService.class);

	private final SIAspettativeRepository siAspettativeRepository;

	public SIAspettativeService(SIAspettativeRepository siAspettativeRepository) {
		super();
		this.siAspettativeRepository = siAspettativeRepository;
	}

	public void writeNewFlux(Long fluxId, SIAspettative siAspettative) {
		logger.debug("Write SIAspettative Flux = {}",fluxId);
		siAspettativeRepository.writeNewFlux(fluxId,siAspettative);
	}
	

}