package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SICartelliniRendicontazioni;
import it.cnr.isti.epasmed.sistemainformativo.repository.SICartelliniRendicontazioniRepository;

/**
 * Service class for managing CartelliniRendicontazioni.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SICartelliniRendicontazioniService {

	private static final Logger logger = LoggerFactory.getLogger(SICartelliniRendicontazioniService.class);

	private final SICartelliniRendicontazioniRepository siCartelliniRendicontazioniRepository;

	public SICartelliniRendicontazioniService(
			SICartelliniRendicontazioniRepository siCartelliniRendicontazioniRepository) {
		super();
		this.siCartelliniRendicontazioniRepository = siCartelliniRendicontazioniRepository;
	}

	public void writeNewFlux(Long fluxId, SICartelliniRendicontazioni siCartelliniRendicontazioni) {
		logger.debug("Write SICartelliniRendicontazioni Flux = {}", fluxId);
		siCartelliniRendicontazioniRepository.writeNewFlux(fluxId, siCartelliniRendicontazioni);
	}

}