package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SICartellini;
import it.cnr.isti.epasmed.sistemainformativo.repository.SICartelliniRepository;



/**
 * Service class for managing Cartellini.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SICartelliniService {

	private final Logger log = LoggerFactory.getLogger(getClass());

	private final SICartelliniRepository siCartelliniRepository;

	public SICartelliniService(SICartelliniRepository siCartelliniRepository) {
		super();
		this.siCartelliniRepository = siCartelliniRepository;
	}

	public void writeNewFlux(Long fluxId, SICartellini siCartellini) {
		log.debug("Write SICartellini Flux = {}",fluxId);
		siCartelliniRepository.writeNewFlux(fluxId,siCartellini);
	}
	

}