package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIEmail;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIEmailRepository;



/**
 * Service class for managing Email.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIEmailService {

	private final Logger log = LoggerFactory.getLogger(getClass());

	private final SIEmailRepository emailRepository;

	public SIEmailService(SIEmailRepository emailRepository) {
		super();
		this.emailRepository = emailRepository;
	}

	public List<SIEmail> readNewFlux(Long fluxId) {
		log.debug("Request SIEmail Flux > {}",fluxId);
		return emailRepository.readNewFlux(fluxId);
	}
	

}