package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIGruppiPers;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIGruppiPersRepository;



/**
 * Service class for managing GruppiPers.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIGruppiPersService {

	private final Logger log = LoggerFactory.getLogger(getClass());

	private final SIGruppiPersRepository gruppiPersRepository;

	public SIGruppiPersService(SIGruppiPersRepository gruppiPersRepository) {
		super();
		this.gruppiPersRepository = gruppiPersRepository;
	}

	public List<SIGruppiPers> readNewFlux(Long fluxId) {
		log.debug("Request SIGruppiPers Flux > {}",fluxId);
		return gruppiPersRepository.readNewFlux(fluxId);
	}
	

}