package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIGruppi;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIGruppiRepository;



/**
 * Service class for managing Gruppi.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIGruppiService {

	private final Logger log = LoggerFactory.getLogger(getClass());

	private final SIGruppiRepository gruppiRepository;

	public SIGruppiService(SIGruppiRepository gruppiRepository) {
		super();
		this.gruppiRepository = gruppiRepository;
	}

	public List<SIGruppi> readNewFlux(Long fluxId) {
		log.debug("Request SIGruppi Flux > {}",fluxId);
		return gruppiRepository.readNewFlux(fluxId);
	}
	

}