package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SILavoroFuoriSede;
import it.cnr.isti.epasmed.sistemainformativo.repository.SILavoroFuoriSedeRepository;



/**
 * Service class for managing Lavoro Fuori Sede.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SILavoroFuoriSedeService {

	private final Logger log = LoggerFactory.getLogger(getClass());

	private final SILavoroFuoriSedeRepository siLavoroFuoriSedeRepository;

	public SILavoroFuoriSedeService(SILavoroFuoriSedeRepository siLavoroFuoriSedeRepository) {
		super();
		this.siLavoroFuoriSedeRepository = siLavoroFuoriSedeRepository;
	}

	public void writeNewFlux(Long fluxId, SILavoroFuoriSede siLavoroFuoriSede) {
		log.debug("Write SILavoroFuoriSede Flux = {}",fluxId);
		siLavoroFuoriSedeRepository.writeNewFlux(fluxId,siLavoroFuoriSede);
	}
	

}