package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIOrario;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIOrarioRepository;



/**
 * Service class for managing Orario.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIOrarioService {

	private static final Logger log = LoggerFactory.getLogger(SIOrarioService.class);

	private final SIOrarioRepository siOrarioRepository;

	public SIOrarioService(SIOrarioRepository siOrarioRepository) {
		super();
		this.siOrarioRepository = siOrarioRepository;
	}

	public void writeNewFlux(Long fluxId, SIOrario siOrario) {
		log.debug("Write SIOrario Flux = {}",fluxId);
		siOrarioRepository.writeNewFlux(fluxId,siOrario);
	}
	

}