package it.cnr.isti.epasmed.sistemainformativo.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIPersOrario;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIPersOrarioRepository;

/**
 * Service class for managing PersOrario.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIPersOrarioService {

	private static final Logger log = LoggerFactory.getLogger(SIPersOrarioService.class);

	private final SIPersOrarioRepository siPersOrarioRepository;

	public SIPersOrarioService(SIPersOrarioRepository siPersOrarioRepository) {
		super();
		this.siPersOrarioRepository = siPersOrarioRepository;
	}

	public void writeNewFlux(Long fluxId, SIPersOrario siPersOrario) {
		log.debug("Write SIPersOrario Flux = {}", fluxId);
		siPersOrarioRepository.writeNewFlux(fluxId, siPersOrario);
	}

}