package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIPosizioni;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIPosizioniRepository;



/**
 * Service class for managing Posizioni.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIPosizioniService {

	private final Logger log = LoggerFactory.getLogger(SIPosizioniService.class);

	private final SIPosizioniRepository posizioniRepository;

	public SIPosizioniService(SIPosizioniRepository posizioniRepository) {
		super();
		this.posizioniRepository = posizioniRepository;
	}

	public List<SIPosizioni> readNewFlux(Long fluxId) {
		log.debug("Request SIPosizioni Flux > {}",fluxId);
		return posizioniRepository.readNewFlux(fluxId);
	}
	

}