package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SIProroghe;
import it.cnr.isti.epasmed.sistemainformativo.repository.SIProrogheRepository;



/**
 * Service class for managing Proroghe.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SIProrogheService {

	private final Logger log = LoggerFactory.getLogger(SIProrogheService.class);

	private final SIProrogheRepository prorogheRepository;

	public SIProrogheService(SIProrogheRepository prorogheRepository) {
		super();
		this.prorogheRepository = prorogheRepository;
	}

	public List<SIProroghe> readNewFlux(Long fluxId) {
		log.debug("Request SIProroghe Flux > {}",fluxId);
		return prorogheRepository.readNewFlux(fluxId);
	}
	

}