package it.cnr.isti.epasmed.sistemainformativo.service;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import it.cnr.isti.epasmed.sistemainformativo.model.SITelefoni;
import it.cnr.isti.epasmed.sistemainformativo.repository.SITelefoniRepository;



/**
 * Service class for managing Telefoni.
 */
@Service
@Transactional("sistemaInformativoTransactionManager")
public class SITelefoniService {

	private final Logger log = LoggerFactory.getLogger(SITelefoniService.class);

	private final SITelefoniRepository telefoniRepository;

	public SITelefoniService(SITelefoniRepository telefoniRepository) {
		super();
		this.telefoniRepository = telefoniRepository;
	}

	public List<SITelefoni> readNewFlux(Long fluxId) {
		log.debug("Request SITelefoni Flux > {}",fluxId);
		return telefoniRepository.readNewFlux(fluxId);
	}
	

}