package it.cnr.isti.epasmed.web.rest.sistemainformativo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import it.cnr.isti.epasmed.sistemainformativo.service.SIMasterLogService;

@RestController
@RequestMapping("/api/sistemainformativo")
public class SIMasterLogResource {

	private final Logger log = LoggerFactory.getLogger(SIMasterLogResource.class);

	private final SIMasterLogService masterLogService;

	public SIMasterLogResource(SIMasterLogService masterLogService) {
		super();
		this.masterLogService = masterLogService;
	}

	@GetMapping("/masterlog/count")
	public Long getCount() {	
		Long fluxValue=masterLogService.count();
		log.info("SI masterlog value: {}",fluxValue);
		return fluxValue;
	}

}
