import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import './vendor';
import { EpasmedSharedModule } from './shared/shared.module';
import { EpasmedCoreModule } from './core/core.module';
import { EpasmedAppRoutingModule } from './app-routing.module';
import { EpasmedHomeModule } from './home/home.module';
import { EpasmedEntityModule } from './entities/entity.module';
import { EpasmedOperationsModule } from './operations/operations.module';
// jhipster-needle-angular-add-module-import JHipster will add new module here
import { MainComponent } from './layouts/main/main.component';
import { NavbarComponent } from './layouts/navbar/navbar.component';
import { FooterComponent } from './layouts/footer/footer.component';
import { PageRibbonComponent } from './layouts/profiles/page-ribbon.component';
import { ErrorComponent } from './layouts/error/error.component';

@NgModule({
  imports: [
    BrowserModule,
    EpasmedSharedModule,
    EpasmedCoreModule,
    EpasmedHomeModule,
    // jhipster-needle-angular-add-module JHipster will add new module here
    EpasmedEntityModule,
    EpasmedOperationsModule,
    EpasmedAppRoutingModule,
  ],
  declarations: [MainComponent, NavbarComponent, ErrorComponent, PageRibbonComponent, FooterComponent],
  bootstrap: [MainComponent],
})
export class EpasmedAppModule {}
