import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';

import { PersOrario } from './persorario.model';
import { PersOrarioService } from './persorario.service';

@Component({
  selector: 'jhi-persorario-delete-dialog',
  templateUrl: './persorario-delete-dialog.component.html',
})
export class PersOrarioDeleteDialogComponent {
  persOrario?: PersOrario;

  constructor(private persOrarioService: PersOrarioService, public activeModal: NgbActiveModal, private eventManager: JhiEventManager) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: string): void {
    this.persOrarioService.delete(id).subscribe(() => {
      this.eventManager.broadcast('persOrarioListModification');
      this.activeModal.close();
    });
  }
}
