import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, Routes } from '@angular/router';
import { Observable, of } from 'rxjs';

import { PersOrario, IPersOrario } from './persorario.model';
import { PersOrarioService } from './persorario.service';
import { PersOrarioComponent } from './persorario.component';
import { PersOrarioDetailComponent } from './persorario-detail.component';
import { PersOrarioUpdateComponent } from './persorario-update.component';

@Injectable({ providedIn: 'root' })
export class PersOrarioResolve implements Resolve<IPersOrario> {
  constructor(private service: PersOrarioService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<IPersOrario> {
    const id = route.params['id'];
    if (id) {
      return this.service.find(id);
    }
    return of(new PersOrario());
  }
}

export const persOrarioRoute: Routes = [
  {
    path: '',
    component: PersOrarioComponent,
    data: {
      defaultSort: 'id,asc',
    },
  },
  {
    path: ':id/view',
    component: PersOrarioDetailComponent,
    resolve: {
      persOrario: PersOrarioResolve,
    },
  },
  {
    path: 'new',
    component: PersOrarioUpdateComponent,
    resolve: {
      persOrario: PersOrarioResolve,
    },
  },
  {
    path: ':id/edit',
    component: PersOrarioUpdateComponent,
    resolve: {
      persOrario: PersOrarioResolve,
    },
  },
];
