import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';

import { TabsSI } from './tabssi.model';
import { TabsSIService } from './tabssi.service';

@Component({
  selector: 'jhi-tabssi-delete-dialog',
  templateUrl: './tabssi-delete-dialog.component.html',
})
export class TabsSIDeleteDialogComponent {
  tabsSI?: TabsSI;

  constructor(private tabsSIService: TabsSIService, public activeModal: NgbActiveModal, private eventManager: JhiEventManager) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: string): void {
    this.tabsSIService.delete(id).subscribe(() => {
      this.eventManager.broadcast('tabsSIListModification');
      this.activeModal.close();
    });
  }
}
