import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';

import { TimeCardsReporting } from './timecardsreporting.model';
import { TimeCardsReportingService } from './timecardsreporting.service';

@Component({
  selector: 'jhi-timecardsreporting-delete-dialog',
  templateUrl: './timecardsreporting-delete-dialog.component.html',
})
export class TimeCardsReportingDeleteDialogComponent {
  timeCardsReporting?: TimeCardsReporting;

  constructor(
    private timeCardsReportingService: TimeCardsReportingService,
    public activeModal: NgbActiveModal,
    private eventManager: JhiEventManager
  ) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: string): void {
    this.timeCardsReportingService.delete(id).subscribe(() => {
      this.eventManager.broadcast('timeCardsReportingListModification');
      this.activeModal.close();
    });
  }
}
