import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, Routes } from '@angular/router';
import { Observable, of } from 'rxjs';

import { TimeCardsReporting, ITimeCardsReporting } from './timecardsreporting.model';
import { TimeCardsReportingService } from './timecardsreporting.service';
import { TimeCardsReportingComponent } from './timecardsreporting.component';
import { TimeCardsReportingDetailComponent } from './timecardsreporting-detail.component';
import { TimeCardsReportingUpdateComponent } from './timecardsreporting-update.component';

@Injectable({ providedIn: 'root' })
export class TimeCardsReportingResolve implements Resolve<ITimeCardsReporting> {
  constructor(private service: TimeCardsReportingService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<ITimeCardsReporting> {
    const id = route.params['id'];
    if (id) {
      return this.service.find(id);
    }
    return of(new TimeCardsReporting());
  }
}

export const timeCardsReportingRoute: Routes = [
  {
    path: '',
    component: TimeCardsReportingComponent,
    data: {
      defaultSort: 'id,asc',
    },
  },
  {
    path: ':id/view',
    component: TimeCardsReportingDetailComponent,
    resolve: {
      timeCardsReporting: TimeCardsReportingResolve,
    },
  },
  {
    path: 'new',
    component: TimeCardsReportingUpdateComponent,
    resolve: {
      timeCardsReporting: TimeCardsReportingResolve,
    },
  },
  {
    path: ':id/edit',
    component: TimeCardsReportingUpdateComponent,
    resolve: {
      timeCardsReporting: TimeCardsReportingResolve,
    },
  },
];
