import { Injectable } from '@angular/core';
import { HttpClient, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';

import { SERVER_API_URL } from 'app/app.constants';
import { createRequestOption, Pagination } from 'app/shared/util/request-util';
import { ITimeCardsReporting } from './timecardsreporting.model';

@Injectable({ providedIn: 'root' })
export class TimeCardsReportingService {
  public resourceUrl = SERVER_API_URL + 'api/timecardsreporting';

  constructor(private http: HttpClient) {}

  query(req?: Pagination): Observable<HttpResponse<ITimeCardsReporting[]>> {
    const options = createRequestOption(req);
    return this.http.get<ITimeCardsReporting[]>(this.resourceUrl, { params: options, observe: 'response' });
  }

  create(timecardsreporting: ITimeCardsReporting): Observable<ITimeCardsReporting> {
    return this.http.post<ITimeCardsReporting>(this.resourceUrl, timecardsreporting);
  }

  update(timecardsreporting: ITimeCardsReporting): Observable<ITimeCardsReporting> {
    return this.http.put<ITimeCardsReporting>(this.resourceUrl, timecardsreporting);
  }

  find(id: string): Observable<ITimeCardsReporting> {
    return this.http.get<ITimeCardsReporting>(`${this.resourceUrl}/${id}`);
  }

  delete(id: string): Observable<{}> {
    return this.http.delete(`${this.resourceUrl}/${id}`);
  }
}
