import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpParams } from '@angular/common/http';
import { SERVER_API_URL, OFFICE_DEFAULT_ID } from 'app/app.constants';
import { EPASPerson } from './rendicontazionesingolo.model';

@Injectable({ providedIn: 'root' })
export class RendicontazioneSingoloService {
  constructor(private http: HttpClient) {}

  rendicontaSingolo(year: number, month: number, fiscalCode: string): Observable<{}> {
    let queryParams = new HttpParams();
    queryParams = queryParams.append('year', year + '');
    queryParams = queryParams.append('month', month + '');
    queryParams = queryParams.append('fiscalCode', fiscalCode);
    return this.http.get(SERVER_API_URL + 'api/sync/writesSingleTimeCards', { params: queryParams });
  }

  getPersonList(): Observable<EPASPerson[]> {
    let queryParams = new HttpParams();
    queryParams = queryParams.append('officeId', OFFICE_DEFAULT_ID);
    return this.http.get<EPASPerson[]>(SERVER_API_URL + 'api/epas/persons', { params: queryParams });
  }
}
