import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpParams } from '@angular/common/http';

import { SERVER_API_URL } from 'app/app.constants';
import { SyncType } from './sync.model';

@Injectable({ providedIn: 'root' })
export class SyncService {
  constructor(private http: HttpClient) {}

  sync(syncType: SyncType, year: number, month: number): Observable<{}> {
    let queryParams = new HttpParams();
    queryParams = queryParams.append('year', year + '');
    queryParams = queryParams.append('month', month + '');
    return this.http.get(SERVER_API_URL + 'api/sync/' + syncType, { params: queryParams });
  }
}
