package it.cnr.isti.epasmed;

import com.tngtech.archunit.core.domain.JavaClasses;
import com.tngtech.archunit.core.importer.ClassFileImporter;
import com.tngtech.archunit.core.importer.ImportOption;
import org.junit.jupiter.api.Test;

import static com.tngtech.archunit.lang.syntax.ArchRuleDefinition.noClasses;

class ArchTest {

    @Test
    void servicesAndRepositoriesShouldNotDependOnWebLayer() {

        JavaClasses importedClasses = new ClassFileImporter()
            .withImportOption(ImportOption.Predefined.DO_NOT_INCLUDE_TESTS)
            .importPackages("it.cnr.isti.epasmed");

        noClasses()
            .that()
                .resideInAnyPackage("it.cnr.isti.epasmed.service..")
            .or()
                .resideInAnyPackage("it.cnr.isti.epasmed.repository..")
            .should().dependOnClassesThat()
                .resideInAnyPackage("..it.cnr.isti.epasmed.web..")
        .because("Services and repositories should not depend on web layer")
        .check(importedClasses);
    }
}
